POST
/
fiat-accounts
Create a fiat account
curl --request POST \
  --url https://api.balansas.com/functions/v1/customer-api/fiat-accounts \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "accountName": "<string>",
  "umbrellaLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "linkedBusinessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.balansas.com/functions/v1/customer-api/fiat-accounts"

payload = {
"accountName": "<string>",
"umbrellaLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linkedBusinessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountName: '<string>',
umbrellaLinkId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
linkedBusinessId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api.balansas.com/functions/v1/customer-api/fiat-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "a3f1c2e4-5b6d-7e8f-9a0b-1c2d3e4f5a6b",
    "fr_account_id": "facc_3kZ9xQ2mLpV",
    "account_name": "EUR Operating",
    "currency": "EUR",
    "balance": 1250.75,
    "status": "active",
    "is_master": true,
    "linked_business_id": null,
    "fr_owner_business_id": "busi_8Jh2KdLm5Qx",
    "iban": "GB29NWBK60161331926819",
    "account_number": "31926819",
    "sort_code": "601613",
    "routing_number": "026073150",
    "created_at": "2026-05-28T11:02:09.456Z",
    "updated_at": "2026-05-28T11:02:09.456Z"
  }
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}

Authorizations

x-api-key
string
header
required

Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).

Body

application/json
accountName
string
required
Required string length: 1 - 200
currency
enum<string>
required
Available options:
USD,
EUR,
GBP
ibanCountry
enum<string>
Available options:
DE,
DK,
GB,
LU
linkedBusinessId
string<uuid>

Response

Success

data
object
required